<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>

// let enlace = document.createElement("a")
// enlace.setAttribute("href", "enlace a lo que sea")
// document.createTextNode("lo que sea")

        function prodImp(arrayNums) {
            let result = 1;
            for (const number of arrayNums) {
                if (number % 2 != 0) {
                    result *= number;
                }
            }
            alert(result);
        }
        // //prodImp([1, 0, 1, 0, 1, 0]);

        function repeatChr(stringInput, multiplier) {
            let stringOutput = "";
            for (const char of stringInput) {
                for (let i = 0; i < multiplier; i++) {
                    stringOutput += char;
                }
            }
            alert(stringOutput);
        }
        //repeatChr("bob", 2)

        function calculaTip(price, serviceQualification) {
            let tip;
            let tipRate;
            switch (serviceQualification.toLowerCase()) {
                case "malo":
                    tipRate = 0;
                    break;
                case "excaso":
                    tipRate = 5;
                    break;
                case "bueno":
                    tipRate = 10;
                    break;
                case "estupendo":
                    tipRate = 15;
                    break;
                case "excelente":
                    tipRate = 20;
                    break;
                default:
                    alert(tip = "Calificación no reconocida");
                    break;
            }
            tip = (price * (tipRate/100)).toFixed();
            alert(tip);   
        }
        //calculaTip(20, "ExceLEnte")


         const modulos = ["m02", "m03", "m04", "m05", "m06", "m07", "m08", "FOL"]
        const alumnoNotas = [[8, 9, 4], [9, 10], [6, 8, 10], [4], [8, 4, 7], [], [7, 5, 9, 10],[10]]
        const alumno = ["David", "López Fernandez", "DAWe", "29 / 04 / 2003"];

        const months = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Julio", "Junio", "Agosto", "septiembre"]

        function datos(){
            let h1 = document.createElement("h1")
            h1.innerHTML +=alumno[1] 

            document.body.appendChild(h1)

            let primerh2= document.createElement("h2")
            primerh2.innerHTML += "Curso: "+alumno[2] 

            document.body.appendChild(primerh2)

            
            let segundoh2= document.createElement("h2")
            segundoh2.innerHTML += "Cumpleaños: "+alumno[3] 

            document.body.appendChild(segundoh2)

            let tercerh2= document.createElement("h2")
            tercerh2.innerHTML += "Notas:" 

            document.body.appendChild(tercerh2)

        }
        function notas(){
           let lista = document.createElement("ul")
           for (let i = 0; i < modulos.length; i++) {
            let uli = document.createElement("li")
                uli.innerHTML += "<br>" + modulos[i].toUpperCase()
                lista.appendChild(uli)
                 document.body.appendChild(lista)
            for (let j = 0; j < alumnoNotas[i].length; j++) {
             let liste= document.createElement("ul")
             let list= document.createElement("li")

             list.innerHTML+= "Unidad Formativa 1: " + alumnoNotas[i][j]  

             lista.appendChild(list)


            uli.appendChild(liste)

            }
           }

          
        }
        datos()
        notas()
    </script>
</body>
</html>